# Light Wave

This is a support project to help test and monitor the [Light
Meter](https://git.abbether.net/return-to-ritherdon/light-meter) in
the factory (Ritherdon). It provide about a minutes worth of streamed
light readings from the facory and displays both readings as animated
line graph.

![Screenshot of Light Wave running](screenshot.png)

## Environment Setup

```bash
# Virtual environment
python3 -m venv venv
source venv/bin/activate

# Install dependencies (with pip)
pip install -r requirements.txt

# Run the program
python light-wave.py
```
**You might need to add additional packages (via `apt`)**. The most
notable reason why is because Matplotlib needs some extra things to
run. It looks like the list depends on what you've already installed
on your system -- I've only checked Debian. Use the following link for
more information about installing stuff more Matplotlib:

- [Matplotlib Install
  Notes](https://matplotlib.org/stable/users/installing.html)
  
## Use RTR-Docs for more Information

Because this project is one of many within a bigger project. All the
documentation has been moved to a centralised repository. All
additional information about this project can be found at:

- [RTR-Docs Repository](https://git.abbether.net/return-to-ritherdon/rtr-docs)
